import { inv_type_list } from "../../invoiceApply/status";
import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "invNo",
      type: "input",
      placeholder: "请输入发票申请编号"
    },
    {
      field: "inv_out",
      type: "input",
      placeholder: "业务企业公司"
    },
    {
      field: "buyer_name",
      type: "input",
      placeholder: "客户发票抬头"
    },
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startPlaceholder: "开票日期开始时间",
        endPlaceholder: "开票日期结束时间"
      }
    },
    {
      field: "inv_type",
      type: "select",
      placeholder: "请选择发票类型",
      options: inv_type_list
    }
  ]
};

export default searchFormConfig;
